summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yanes Checcacci Balod2014-02-17 16:35:36 +0100
committer Erik Hanson2014-02-18 21:59:56 +0100
commitad5163296291029f250d9e5e05562afe404daf26 (patch)
tree12eb95625dddb402f6f2f210e8aa20f2de79ef3d
parent14778a16925e75e495f241a398e02acba66fe97b (diff)
downloadslackbuilds-ad5163296291029f250d9e5e05562afe404daf26.tar.gz
system/wterm: Added (VT102 Terminal Emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/wterm/README5
-rw-r--r--system/wterm/slack-desc19
-rw-r--r--system/wterm/wterm.SlackBuild117
-rw-r--r--system/wterm/wterm.info10
4 files changed, 151 insertions, 0 deletions
diff --git a/system/wterm/README b/system/wterm/README
new file mode 100644
index 0000000000..dbc0c6369f
--- /dev/null
+++ b/system/wterm/README
@@ -0,0 +1,5 @@
+Wterm is a color VT102 terminal emulator for the X Window System.
+
+It features background images, transparency, reverse transparence
+and an extensive set or runtime options. Wterm supports the Latin,
+Chinese, Greek, and Kanji character sets.
diff --git a/system/wterm/slack-desc b/system/wterm/slack-desc
new file mode 100644
index 0000000000..c1c6cbe7e3
--- /dev/null
+++ b/system/wterm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wterm: wterm (VT102 Terminal Emulator)
+wterm:
+wterm: Wterm is a color VT102 terminal emulator for the X Window System.
+wterm: It features background images, transparency, reverse transparence
+wterm: and an extensive set or runtime options. Wterm supports the Latin,
+wterm: Chinese, Greek, and Kanji character sets.
+wterm:
+wterm: See the Wterm sourceforge: http://sourceforge.net/projects/wterm
+wterm: for more information.
+wterm:
+wterm:
diff --git a/system/wterm/wterm.SlackBuild b/system/wterm/wterm.SlackBuild
new file mode 100644
index 0000000000..613444f8ab
--- /dev/null
+++ b/system/wterm/wterm.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for Wterm
+
+# Copyright (c) 2014, Yanes Checcacci Balod <yanes@pobox.com>, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wterm
+VERSION=${VERSION:-6.2.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-utmp \
+ --enable-wtmp \
+ --enable-menubar \
+ --enable-graphics \
+ --enable-xterm-scroll \
+ --enable-half-shadow \
+ --with-x \
+ --with-xpm \
+ --enable-xpm-background \
+ --bindir=/usr/lib${LIBDIRSUFFIX}/GNUstep/Applications/Wterm \
+ --mandir=/usr/lib${LIBDIRSUFFIX}/GNUstep/Applications/Wterm
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+### FIX! Remove DIRECTORY and move FILES!
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/lib${LIBDIRSUFFIX}/GNUstep/Applications/Wterm/man1/* $PKG/usr/man/man1
+rmdir $PKG/usr/lib${LIBDIRSUFFIX}/GNUstep/Applications/Wterm/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+### FIX! Create Utils in /usr/doc/wterm-$VERSION!
+cp -rv doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
+
+### FIX! Simbolic LINK on $PATH!
+mkdir $PKG/usr/bin
+cd $PKG
+(
+ ln -s /usr/lib${LIBDIRSUFFIX}/GNUstep/Applications/Wterm/wterm usr/bin/wterm #Source file link does not exist, yet! Don't change it!!!
+)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/wterm/wterm.info b/system/wterm/wterm.info
new file mode 100644
index 0000000000..eb0ab565ca
--- /dev/null
+++ b/system/wterm/wterm.info
@@ -0,0 +1,10 @@
+PRGNAM="wterm"
+VERSION="6.2.9"
+HOMEPAGE="http://sourceforge.net/projects/wterm"
+DOWNLOAD="http://sourceforge.net/projects/wterm/files/wterm/wterm-6.2.9.tar.gz/wterm-6.2.9.tar.gz"
+MD5SUM="2d9f1de4c30fb637053dbceb3400aa3d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yanes Checcacci Balod"
+EMAIL="yanes@pobox.com"